gd_frameoffset(3)

NAME
gd_frameoffset — report the starting frame of fields in a Dirfile

SYNOPSIS
#include <getdata.h>

off_t gd_frameoffset(DIRFILE *dirfile, int fragment_index);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns the frame offset (see dirfile-format(5)) for the fragment indexed by The frame offset of a fragment indicate the frame number of the first sample of data stored in binary files associated with RAW fields defined in the specified fragment. The frame offset of a fragment containing no RAW fields is ignored.

The argument must point to a valid DIRFILE object previously created by a call to

RETURN VALUE
Upon successful completion, returns a non-negative integer containing the frame offset of the specified fragment. On error, it returns a negative-valued error code. Possible error codes are: The supplied dirfile was invalid. The supplied index was out of range.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.5.0.

In GetData-0.7.0, this function was renamed to

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5), dirfile-format(5)